GrNotify doesn't start due to module import error

Bug #370524 reported by kriomant on 2009-05-01
38
This bug affects 7 people
Affects Status Importance Assigned to Milestone
grnotify (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: grnotify

Ubuntu 9.04
grnotify-1.1.2-0ubuntu1

grnotify fails to start with error:

~$ grnotify
Traceback (most recent call last):
  File "/usr/bin/grnotify", line 18, in <module>
    import GoogleReader
ImportError: No module named GoogleReader

This is because default python version is 2.6:
~$ python --version
Python 2.6.2

but grnotify puts its modules to directory for python-2.5:
~$ dpkg -L grnotify | grep GoogleReader
/usr/lib/python2.5/site-packages/GoogleReader.py
/usr/lib/python2.5/site-packages/GoogleReader-1.1.0.egg-info

grnotify starts successfully with modified PYTHONPATH:
~$ PYTHONPATH=/usr/lib/python2.5/site-packages grnotify

Changed in grnotify (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers